<?xml version="1.0"?>

<fragment
    name = "Hyades Trace Execution Views Plugin"
    id = "org.eclipse.hyades.trace.views.execution"
    version = "1.0.3"
    plugin-id="org.eclipse.hyades.trace.views"
    plugin-version="1.0.3">

 <extension point="org.eclipse.ui.views"> 
        <view   id         = "org.eclipse.hyades.trace.views.adapter.internal.PatternViewer"
                name       = "%STR_EXEC_TITLE"
                icon       = "./icons/full/cview16/exec_flow_view.gif"
	            category   ="org.eclipse.hyades.trace.internal.ui.trace"
                class      = "org.eclipse.hyades.trace.views.adapter.internal.PatternViewer">
        </view>
        <view   id         = "org.eclipse.hyades.trace.views.adapter.internal.SinglePatternViewer"
                name       = "%STR_METH_INVOC_TITLE"
                icon       = "./icons/full/cview16/meth_invc_view.gif"
	        	category   ="org.eclipse.hyades.trace.internal.ui.trace"
                class      = "org.eclipse.hyades.trace.views.adapter.internal.SinglePatternViewer">
        </view> 
        <view   id         = "org.eclipse.hyades.trace.views.adapter.internal.ExecutionStatisticViewer"
                name       = "%STR_EXECUTION_FLOW_TABLE"
                icon       = "./icons/full/cview16/exec_flow_view.gif"
	        	category   ="org.eclipse.hyades.trace.internal.ui.trace"                
                class      = "org.eclipse.hyades.trace.views.adapter.internal.ExecutionStatisticViewer">
        </view> 
        <view   id         = "org.eclipse.hyades.trace.views.adapter.internal.InvocationTableViewer"
                name       = "%STR_INVOCATION_TABLE"
                icon       = "./icons/full/cview16/meth_invc_view.gif"
	        	category   ="org.eclipse.hyades.trace.internal.ui.trace"                
                class      = "org.eclipse.hyades.trace.views.adapter.internal.InvocationTableViewer">
        </view> 
</extension>

  <!-- ================================================================================= -->

<extension point="org.eclipse.ui.perspectiveExtensions">
  <perspectiveExtension 
	targetID="org.eclipse.hyades.trace.internal.ui.tracePerspective">
	<actionSet id="org.eclipse.hyades.trace.executionViewActionSet"/>
    	<view id="org.eclipse.hyades.trace.views.adapter.internal.PatternViewer" 
        	relative="org.eclipse.hyades.trace.ui.internal.console.TraceConsoleView" 
    		relationship="stack"
    		visible="false"/>	
    	<view id="org.eclipse.hyades.trace.views.adapter.internal.SinglePatternViewer" 
        	relative="org.eclipse.hyades.trace.ui.internal.console.TraceConsoleView" 
    		relationship="stack"
    		visible="false"/>	    			
    	<view id="org.eclipse.hyades.trace.views.adapter.internal.InvocationTableViewer" 
        	relative="org.eclipse.hyades.trace.ui.internal.console.TraceConsoleView" 
    		relationship="stack"
    		visible="false"/>	    			
    	<view id="org.eclipse.hyades.trace.views.adapter.internal.ExecutionStatisticViewer" 
        	relative="org.eclipse.hyades.trace.ui.internal.console.TraceConsoleView" 
    		relationship="stack"
    		visible="false"/>	    			    			    			
  </perspectiveExtension> 
</extension>

  <!-- ================================================================================= -->
    
   <extension point="org.eclipse.hyades.ui.analyzerExtensions">
      <analyzerExtension
         id="org.eclipse.hyades.trace.views.actions.internal.OpenPatternViewAction"
         name="%STR_OPEN_EXECUTION_ACTION"
	     icon="./icons/full/cview16/exec_flow_view.gif"         
         class="org.eclipse.hyades.trace.views.actions.internal.OpenPatternViewAction"
         extension="trace"
         type="Profiler">
     </analyzerExtension>
   </extension>
    
  <!-- ================================================================================= -->
 
   <extension
         point="org.eclipse.ui.preferencePages">
		<page name="%GRAPH_COLOR_PAGE"	
			id="org.eclipse.hyades.trace.views.preferences.internal.GraphColorPreferencePage"
			category="org.eclipse.hyades.trace.ui.internal.preferences.TraceViewPreferencePage"
			class="org.eclipse.hyades.trace.views.preferences.internal.GraphColorPreferencePage">
		</page>
		 
   </extension>
   
  <!-- ================================================================================= -->

 <extension point = "org.eclipse.ui.actionSets">
   <actionSet id="org.eclipse.hyades.trace.executionViewActionSet"
	   label="%STR_EVIEW_ACTION_SET"
	   visible="false">	   
	   <action id="org.eclipse.hyades.trace.views.actions.internal.OpenExecutionFlowAction"        
		   toolbarPath="trace/group.execution"
		   label="%STR_ACT_SET_EXEC_ACTION"
		   tooltip="%STR_ACT_SET_EXEC_ACTION_TIP"
		   icon="./icons/full/ctool16/exec_flow_co.gif"
		   class="org.eclipse.hyades.trace.views.actions.internal.OpenPatternViewAction">
	   </action>

	</actionSet> 
	
 </extension>
   
<extension point = "org.eclipse.ui.popupMenus">
	<objectContribution
		id = "org.eclipse.hyades.models.trace.TRCMethod"
		objectClass = "org.eclipse.hyades.models.trace.TRCMethod">
        <action
            id="org.eclipse.hyades.trace.views.actions.internal.OpenMethodInvocationAction"          
		    label="%METH_SHOW_INVOC"
            icon= "./icons/full/cview16/exec_flow_view.gif"	
			menubarPath = "open.views"						            	    
            class="org.eclipse.hyades.trace.views.actions.internal.OpenMethodInvocationAction">
        </action> 
	</objectContribution>
		
	<objectContribution
		id = "org.eclipse.hyades.models.trace.TRCMethodInvocation"
		objectClass = "org.eclipse.hyades.models.trace.TRCMethodInvocation">
        <action
            id="org.eclipse.hyades.trace.views.actions.internal.OpenMethodInvocationAction"          
		    label="%METH_SHOW_INVOC"
            icon= "./icons/full/cview16/exec_flow_view.gif"	
			menubarPath = "open.views"						            	    
            class="org.eclipse.hyades.trace.views.actions.internal.OpenMethodInvocationAction">
        </action>  
	</objectContribution>	

	<viewerContribution
		id = "org.eclipse.hyades.trace.views.adapter.internal.PatternViewer"
		targetID = "org.eclipse.hyades.trace.views.adapter.internal.PatternViewer">
        <action
            id="org.eclipse.hyades.trace.views.actions.internal.OpenExecutionStatisticAction"          
		    label="%SHOW_EXEC_STAT"
            icon= "./icons/full/cview16/exec_flow_view.gif"	
			menubarPath = "open.views"						            	    
            class="org.eclipse.hyades.trace.views.actions.internal.OpenExecutionStatisticAction">
        </action> 
    </viewerContribution>  

	<viewerContribution
		id = "org.eclipse.hyades.trace.views.adapter.internal.SinglePatternViewer"
		targetID = "org.eclipse.hyades.trace.views.adapter.internal.SinglePatternViewer">
        <action
            id="org.eclipse.hyades.trace.views.actions.internal.OpenInvocationTableAction"          
		    label="%SHOW_INVOC_STAT"
            icon= "./icons/full/cview16/exec_flow_view.gif"	
			menubarPath = "open.views"						            	    
            class="org.eclipse.hyades.trace.views.actions.internal.OpenInvocationTableAction">
        </action> 
    </viewerContribution>  
	
</extension> 

</fragment>
